Index: LMDZ5/branches/testing/libf/dyn3dmem/leapfrog_mod.F90
===================================================================
--- LMDZ5/branches/testing/libf/dyn3dmem/leapfrog_mod.F90	(revision 1910)
+++ LMDZ5/branches/testing/libf/dyn3dmem/leapfrog_mod.F90	(revision 1999)
@@ -1,17 +1,17 @@
 MODULE leapfrog_mod
 
-  REAL,POINTER,SAVE :: ucov(:,:)
-  REAL,POINTER,SAVE :: vcov(:,:)
-  REAL,POINTER,SAVE :: teta(:,:)
-  REAL,POINTER,SAVE :: ps(:)
-  REAL,POINTER,SAVE :: masse(:,:)
-  REAL,POINTER,SAVE :: phis(:)
-  REAL,POINTER,SAVE :: q(:,:,:)
-  REAL,POINTER,SAVE :: p(:,:)
-  REAL,POINTER,SAVE :: pks(:)
-  REAL,POINTER,SAVE :: pk(:,:)
-  REAL,POINTER,SAVE :: pkf(:,:)
-  REAL,POINTER,SAVE :: phi(:,:)
-  REAL,POINTER,SAVE :: w(:,:)
+  REAL,POINTER,SAVE :: ucov(:,:) ! zonal covariant wind
+  REAL,POINTER,SAVE :: vcov(:,:) ! meridional covariant wind
+  REAL,POINTER,SAVE :: teta(:,:) ! potential temperature
+  REAL,POINTER,SAVE :: ps(:) ! surface pressure
+  REAL,POINTER,SAVE :: masse(:,:) ! air mass
+  REAL,POINTER,SAVE :: phis(:) ! geopotential at the surface
+  REAL,POINTER,SAVE :: q(:,:,:) ! advected tracers
+  REAL,POINTER,SAVE :: p(:,:) ! interlayer pressure
+  REAL,POINTER,SAVE :: pks(:) ! Exner at the surface
+  REAL,POINTER,SAVE :: pk(:,:) ! Exner at mid-layer
+  REAL,POINTER,SAVE :: pkf(:,:) ! filtered Exner
+  REAL,POINTER,SAVE :: phi(:,:) ! geopotential
+  REAL,POINTER,SAVE :: w(:,:) ! vertical velocity
   REAL,POINTER,SAVE :: pbaru(:,:)
   REAL,POINTER,SAVE :: pbarv(:,:)
Index: LMDZ5/branches/testing/libf/dyn3dmem/logic.h
===================================================================
--- LMDZ5/branches/testing/libf/dyn3dmem/logic.h	(revision 1910)
+++ LMDZ5/branches/testing/libf/dyn3dmem/logic.h	(revision 1999)
@@ -1,4 +1,4 @@
 !
-! $Id$
+! $Id: $
 !
 !
@@ -11,5 +11,5 @@
      &  statcl,conser,apdiss,apdelq,saison,ecripar,fxyhypb,ysinus       &
      &  ,read_start,ok_guide,ok_strato,ok_gradsfile                     &
-     &  ,ok_limit,ok_etat0,grilles_gcm_netcdf,hybrid
+     &  ,ok_limit,ok_etat0,hybrid
 
       COMMON/logici/ iflag_phys,iflag_trac
@@ -18,5 +18,6 @@
      & apdiss,apdelq,saison,ecripar,fxyhypb,ysinus                      &
      &  ,read_start,ok_guide,ok_strato,ok_gradsfile                     &
-     &  ,ok_limit,ok_etat0,grilles_gcm_netcdf
+     &  ,ok_limit,ok_etat0
+     
       logical hybrid ! vertical coordinate is hybrid if true (sigma otherwise)
                      ! (only used if disvert_type==2)
Index: LMDZ5/branches/testing/libf/dyn3dmem/mod_const_mpi.F90
===================================================================
--- LMDZ5/branches/testing/libf/dyn3dmem/mod_const_mpi.F90	(revision 1910)
+++ LMDZ5/branches/testing/libf/dyn3dmem/mod_const_mpi.F90	(revision 1999)
@@ -17,5 +17,8 @@
     USE ioipsl_getincom, only: getin
 #endif
-
+! Use of Oasis-MCT coupler 
+#ifdef CPP_OMCT
+    USE mod_prism
+#endif
     IMPLICIT NONE
 #ifdef CPP_MPI
Index: LMDZ5/branches/testing/libf/dyn3dmem/parallel_lmdz.F90
===================================================================
--- LMDZ5/branches/testing/libf/dyn3dmem/parallel_lmdz.F90	(revision 1910)
+++ LMDZ5/branches/testing/libf/dyn3dmem/parallel_lmdz.F90	(revision 1999)
@@ -392,5 +392,10 @@
 #endif
 #ifdef CPP_COUPLE
+! Use of Oasis-MCT coupler 
+#if defined CPP_OMCT
+    use mod_prism
+#else
     use mod_prism_proto
+#endif
 ! Ehouarn: surface_data module is in 'phylmd' ...
       use surface_data, only : type_ocean
Index: LMDZ5/branches/testing/libf/dyn3dmem/pression_loc.F
===================================================================
--- LMDZ5/branches/testing/libf/dyn3dmem/pression_loc.F	(revision 1910)
+++ LMDZ5/branches/testing/libf/dyn3dmem/pression_loc.F	(revision 1999)
@@ -1,4 +1,5 @@
       SUBROUTINE pression_loc( ngrid, ap, bp, ps, p )
-      USE parallel_lmdz
+      USE parallel_lmdz, ONLY: ij_begin, ij_end, ijb_u, ije_u,
+     &                         pole_nord, pole_sud, omp_chunk
 c
 
@@ -16,9 +17,9 @@
 #include "paramet.h"
 c
-      INTEGER ngrid
+      INTEGER,INTENT(IN) :: ngrid ! not used
       INTEGER l,ij
  
-      REAL ap( llmp1 ), bp( llmp1 ), ps( ijb_u:ije_u )
-      REAL p( ijb_u:ije_u,llmp1 ) 
+      REAL,INTENT(IN) :: ap( llmp1 ), bp( llmp1 ), ps( ijb_u:ije_u )
+      REAL,INTENT(OUT) :: p( ijb_u:ije_u,llmp1 ) 
       
       INTEGER ijb,ije
